"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/lib/form/style/css");

var _form = _interopRequireDefault(require("antd/lib/form"));

require("antd/lib/input-number/style/css");

var _inputNumber = _interopRequireDefault(require("antd/lib/input-number"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var App = function App(_ref) {
  var label = _ref.label,
      leftName = _ref.leftName,
      rightName = _ref.rightName,
      leftPlaceholder = _ref.leftPlaceholder,
      rightPlaceholder = _ref.rightPlaceholder,
      width = _ref.width,
      restProps = _objectWithoutProperties(_ref, ["label", "leftName", "rightName", "leftPlaceholder", "rightPlaceholder", "width"]);

  return /*#__PURE__*/_react["default"].createElement(_form["default"].Item, {
    label: label
  }, /*#__PURE__*/_react["default"].createElement(_form["default"].Item, {
    name: leftName,
    style: {
      display: 'inline-block',
      marginRight: 0
    }
  }, /*#__PURE__*/_react["default"].createElement(_inputNumber["default"], _extends({
    placeholder: leftPlaceholder,
    style: {
      width: width
    }
  }, restProps))), /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      height: 34,
      display: 'inline-flex',
      alignItems: 'center'
    }
  }, "\xA0-\xA0"), /*#__PURE__*/_react["default"].createElement(_form["default"].Item, {
    name: rightName,
    style: {
      display: 'inline-block'
    }
  }, /*#__PURE__*/_react["default"].createElement(_inputNumber["default"], _extends({
    placeholder: rightPlaceholder,
    style: {
      width: width
    }
  }, restProps))));
};

App.defaultProps = {
  leftPlaceholder: '',
  rightPlaceholder: '',
  width: '90px'
};
App.propTypes = {
  label: _propTypes["default"].string,
  leftName: _propTypes["default"].string,
  rightName: _propTypes["default"].string,
  leftPlaceholder: _propTypes["default"].string,
  rightPlaceholder: _propTypes["default"].string,
  width: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].number])
};
var _default = App;
exports["default"] = _default;